Subject: [Rtg-yang-coord] draft-ietf-isis-yang-isis-cfg-07

From: Radha Danda <[email-masked]>
Date: Wed, 25 Nov 2015 09:27:20 +0000

Hi,
I was going through draft-ietf-isis-yang-isis-cfg-07 and I have below comments.

1. system-id definition should not contain selector. As per NSAP definition, system-ID is 6 bytes and it has below mentioned format and it is only of length 6 bytes.
  
typedef system-id {
    type string {
      pattern
       '[0-9A-Fa-f]{4}\.[0-9A-Fa-f]{4}\.[0-9A-Fa-f]{4}';
    }
    description
     "This type defines ISIS system id using pattern,
      system id looks like : 0143.0438.AeF0";
  }

2. Also we need support to configure net-address as shown below.
       typedef net-address {
                type string {
                        pattern
                                '[0-9A-Fa-f]{2}\.([0-9A-Fa-f]{4}\.){0,3}[0-9A-Fa-f]{4}\.[0-9A-Fa-f]{4}\.[0-9A-Fa-f]{4}\.00';
                        configd:pattern-help "XX.XXXX. ... .XXXX.XX";
                        configd:help "Network entity title (NET)";
                }
        }

Please let me know if you need more details. This is my first post, so please excuse me in case if I miss to provide some details. 

Best Regards,
Radha